﻿////mr-bundler-ignore
var SiteLang = undefined;
function MrStartUI() {
  MrMUISecoundryColor = '#C5AA74';
  MrMUIPrimaryColor = '#F5F5F5' ;
  MrMUIToolWidth = "35vw";
  MrMUIToolMaxWidth = "600px";
  MrMUIToolMinWidth = "450px";
  MrCID = 79;
  if (SiteLang == undefined || SiteLang == null) {
    MrArabicUIisOn =
      document.getElementsByTagName("html")[0].getAttribute("lang") == "ar" ||
      window.location.href
        .toString()
        .toLowerCase()
        .indexOf("/ar/".toLowerCase()) > -1;
  } else {
    MrArabicUIisOn = SiteLang;
  }
  MrArabicFlag = "uae";

  MRUAPPrepareUI(
    [
      "MrReadSpeakerFeature",
      "MrControl_Page_contrast",
      "MrCursor_Helpers",
      "MrChangefont",
      "MrPage_saturation_control",
      "MrWords_Spacing",
      "MrRealWords_Spacing",
      "MrLine_Spacing",
      "MrEnlarge_Fonts",
      "MrHighlight_Links",
      "MrAnimation",
      "MrText_Alignments",
      "MrDictionary",
      "MrPage_Structure",
    ], ["MrVisuallyImpaired", "Mrdyslexia", "MrADHD", "MrSeizureAndEpilepsy", "MrColor_Blind", "Mrcognitive_education", "MrImpaired_mobility"]
  );

  var MrIconMessage = undefined;
  if (MrArabicUIisOn) {
    MrIconMessage = "مساعدة في استخدام الموقع";
    jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
    jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
  } else {
    MrIconMessage = "Assist using site";
    jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
    jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
  }
  MrGotoArabicVersion = function () {
     try{
        document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
      }catch(err){

      }
    if (!MrArabicUIisOn) {
      var hreff = jQuery('#multiLanguageSwitcher').attr('href');
      window.location.href = hreff;
      MrUPChangeToolLangToAR();
    }
  };
  MrGotoEnglishVersion = function () {
     try{
        document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
      }catch(err){

      }
    if (MrArabicUIisOn) {
      var hreff = jQuery('#multiLanguageSwitcher').attr('href');
      window.location.href = hreff;
      MrUPChangeToolLAngToEN();
    }
  };
  var iconPalce = "left";
  if(!MrArabicUIisOn){
    iconPalce = "right";
  }
  var MrIconToAdd =
    '<div id="MrAccessInHand" title="' +
    MrIconMessage +
    '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' +
    MrIconMessage +
    '"></div>';
  MrUAPAddStyle(
    "#MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 99;cursor:pointer; position: fixed; bottom: 160px; "+iconPalce+": 20px; background-color: " +
    MrMUISecoundryColor +
    "; border-radius: 50%;width:60px;height:60px;text-align:center } #MrAccessInHand img{filter:" +
    MrUtilHexToFilter(MrMUIWhite) +
    ";margin-top:5px;width:48px}",
    "MrbuttonCSS"
  );
  jQuery("body").append(MrIconToAdd);
  jQuery("body").append("<style>.MrMUITabButtons:not(.MrMUILargeButton) {min-height: 160px;} .mr-muiTool {z-index:9999999999 !important} </style>");
  jQuery("#MrAccessInHand").click(function () {
    MrToolCheckLicense();
    MrUAPShowAssistiveTool();
    MrMUIGetGoogleTranslationValues(2);
  });

  MrUAPPrepareMrOrgColor();
  MrMUIActivateShotcuts();
}
////endmr-bundler-ignore
jQuery(document).ready(function () {
  setTimeout(function () {
    MrStartUI();
  }, 500);
});